org.apache.ignite.internal.processors.cache

## Interface CacheEntryPredicate

All Superinterfaces:
  IgnitePredicate<GridCacheEntryEx>, Message, Serializable

All Known Implementing Classes:
  CacheEntryPredicateAdapter, CacheEntryPredicateContainsValue, CacheEntryPredicateHasValue, CacheEntryPredicateNoValue, CacheEntrySerializablePredicate

    public interface CacheEntryPredicate
    extends IgnitePredicate<GridCacheEntryEx>, Message

### Method Summary

Methods
`void` `entryLocked(boolean locked)`
`void` `finishUnmarshal(GridCacheContext ctx, ClassLoader ldr)`
`void` `prepareMarshal(GridCacheContext ctx)`

### Methods inherited from interface org.apache.ignite.lang.IgnitePredicate

`apply`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, readFrom, writeTo`

### Method Detail

#### prepareMarshal

    void prepareMarshal(GridCacheContext ctx)
                        throws IgniteCheckedException

Parameters:
  `ctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### finishUnmarshal

    void finishUnmarshal(GridCacheContext ctx,
                       ClassLoader ldr)
                         throws IgniteCheckedException

Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### entryLocked

    void entryLocked(boolean locked)

Parameters:
  `locked` - Entry locked

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015